%{!?python_sitearch: %define python_sitearch %(`/usr/bin/python2.6 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)"`)} 

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		bzr
#Epoch:		0
Version:	2.1.1
Release:	1
License:	GNU/GPLv2
URL:		http://www.bazaar-vcs.org/ 
Group:		Development/Tools	
Summary:	version control system
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:
Patch0:		bzr-python26.patch

# Requires:

# BuildRequires:
BuildRequires: python26-pyrex

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: python26-devel
BuildRequires: zlib-devel

%description
 Bazaar is a version control system that helps you track project history over time and to collaborate easily with others. Whether you're a single developer, a co-located team or a community of developers scattered across the world, Bazaar scales and adapts to meet your needs. There's no need to choose between central and distributed version control tools: Bazaar directly supports many workflows  with ease.

Bazaar supports many best practices including refactoring, pair programming, feature branching, peer reviews and pre-commit regression testing. With true rename tracking for files and directories, merging changes from others simply works more often. 

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

sed -i '1{/#![[:space:]]*\/usr\/bin\/\(python\|env\)/d}' bzrlib/_patiencediff_py.py
sed -i '1{/#![[:space:]]*\/usr\/bin\/\(python\|env\)/d}' bzrlib/weave.py 

%build
CFLAGS="$RPM_OPT_FLAGS" /usr/bin/python2.6 setup.py build

chmod a-x contrib/bash/bzrbashprompt.sh 

%install
rm -rf $RPM_BUILD_ROOT

/usr/bin/python2.6 setup.py install --skip-build --install-data %{_datadir} --root $RPM_BUILD_ROOT
chmod 0644 contrib/bzr_access
chmod 0644 contrib/bzr_ssh_path_limiter
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/python2.6/site-packages/bzrlib/*.so

install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -m 0644 contrib/bash/bzr $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
rm contrib/bash/bzr
	
# This is included in %doc, remove redundancy here
#rm -rf $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/doc/

# Use independently packaged python-elementtree instead
rm -rf $RPM_BUILD_ROOT%{_libdir}/python2.6/site-packages/bzrlib/util/elementtree/ 

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/bash_completion.d/bzr
%{_bindir}/bzr
%{_libdir}/python2.6/site-packages/bzrlib
%{_libdir}/python2.6/site-packages/bzr-%{version}-py2.6.egg-info
%{_mandir}/man1/bzr.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.1.1-1
- Version update
* Sun Nov 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0.2-2
- python 2.6
* Tue Nov 17 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.0.2-1
- initial CCux package release
